GET /orgs/{org}/rulesets
Summary: Get all organization repository rulesets
Operation ID: repos/get-org-rulesets
Auth: bearer_token
Operation ID: repos/get-org-rulesets
Auth: bearer_token
Description
Get all the repository rulesets for an organization.
Parameters (4)
org
(string, path, required)
The organization name. The name is not case sensitive.
page
(integer, query, optional, default: 1)
The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
per_page
(integer, query, optional, default: 30)
The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
targets
(string, query, optional)
A comma-separated list of rule targets to filter by. If provided, only rulesets that apply to the specified targets will be returned. For example, `branch,tag,push`.
No probe data for this endpoint yet.